org.apache.nutch.api.misc

## Class ErrorStatusService

- java.lang.Object
- - org.restlet.service.Service
  - - org.restlet.service.StatusService
    - - org.apache.nutch.api.misc.ErrorStatusService

-     public class ErrorStatusService
      extends org.restlet.service.StatusService

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ErrorStatusService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.restlet.representation.Representation` | `getRepresentation(org.restlet.data.Status status, org.restlet.Request request, org.restlet.Response response)`
    `org.restlet.data.Status` | `getStatus(java.lang.Throwable throwable, org.restlet.Request request, org.restlet.Response response)`

    - ### Methods inherited from class org.restlet.service.StatusService

      `createInboundFilter, getContactEmail, getHomeRef, getStatus, isOverwriting, setContactEmail, setHomeRef, setOverwriting`

    - ### Methods inherited from class org.restlet.service.Service

      `createOutboundFilter, getContext, isEnabled, isStarted, isStopped, setContext, setEnabled, start, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ErrorStatusService

          public ErrorStatusService()

  - ### Method Detail

    - #### getStatus

          public org.restlet.data.Status getStatus(java.lang.Throwable throwable,
                                                   org.restlet.Request request,
                                                   org.restlet.Response response)

      Overrides:
        `getStatus` in class `org.restlet.service.StatusService`

    - #### getRepresentation

          public org.restlet.representation.Representation getRepresentation(org.restlet.data.Status status,
                                                                             org.restlet.Request request,
                                                                             org.restlet.Response response)

      Overrides:
        `getRepresentation` in class `org.restlet.service.StatusService`

Copyright © 2019 The Apache Software Foundation